## wlroots 0.19.0

=== debian/changelog ===
wlroots (0.19.0-0deepin1) UNRELEASED; urgency=medium

  * Sync upstream 0.19.0.

 -- xiangzelong <xiangzelong@deepin.org>  Wed, 18 Jun 2025 10:45:59 +0800

wlroots (0.18.2-1deepin1) unstable; urgency=medium

  * update 0.18.2.

 -- lichenggang <lichenggang@deepin.org>  Tue, 31 Dec 2024 17:25:02 +0800

wlroots (0.18.1-1deepin3) unstable; urgency=medium

  * data-device: fix dnd handling during popup interactions

 -- Groveer <guoyao@uniontech.com>  Fri, 20 Dec 2024 11:20:45 +0800

wlroots (0.18.1-1deepin2) unstable; urgency=medium

  * rm NOTITLEBAR

 -- Groveer <guoyao@uniontech.com>  Tue, 17 Dec 2024 20:58:52 +0800

wlroots (0.18.1-1deepin1) unstable; urgency=medium

  * support DTK NOTITLEBAR

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Sat, 07 Dec 2024 10:55:06 +0200

=== debian/control ===
Source: wlroots
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 glslang-tools,
 hwdata,
 libcap-dev,
 libcairo2-dev,
 libdisplay-info-dev (>= 0.1.1),
 libdrm-dev (>= 2.4.122),
 libegl1-mesa-dev,
 libegl-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libliftoff-dev (>= 0.4.1),
 libpixman-1-dev (>= 0.43.0),
 libpng-dev,
 libseat-dev,
 libsystemd-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.23.1),
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-errors-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 meson,
 pkgconf,
 wayland-protocols (>= 1.41),
 xwayland,
Suggests: liblcms2-dev,
Standards-Version: 4.6.2
Section: libs
Homepage: https://gitlab.freedesktop.org/wlroots/wlroots/
Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
Rules-Requires-Root: no

Package: libwlroots-0.19-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libwlroots-0.19 (= ${binary:Version}),
 libcap-dev,
 libdisplay-info-dev,
 libdrm-dev (>= 2.4.114),
 libegl-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libpixman-1-dev,
 libseat-dev,
 libsystemd-dev,
 libliftoff-dev (>= 0.4.0),
 libudev-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.22),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-errors-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 libx11-xcb-dev,
 wayland-protocols (>= 1.24),
Description: Modular wayland compositor library - development headers
 wlroots is a set of pluggable, composable modules to build a Wayland
 compositor.
 .
 This package contains the development headers.

Package: libwlroots-0.19
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - shared library
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains the shared library.

Package: libwlroots-0.19-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - binaries
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains various examples on how to use wlroots.

=== debian/tests/control ===
Tests: build-test
Depends: libwlroots-0.18-dev, build-essential, pkg-config
Restrictions: allow-stderr, superficial

## wlroots 0.19.1

=== debian/changelog ===
wlroots (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * Wrap and sort

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Sep 2025 17:34:39 +0200

wlroots (0.19.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 25 Aug 2025 17:26:12 +0200

wlroots (0.19.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 May 2025 16:32:16 +0200

wlroots (0.19.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Guido Günther <agx@sigxcpu.org>  Sun, 20 Apr 2025 14:25:29 +0200

wlroots (0.19.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * [7c7447d] Update to 0.19 ABI
  * [71e338f] Bump build-dependencies
  * [994bb62] Rediff patches.
    Drop seat-Don-t-forget-to-destroy-touch-points-on-touch-up.patch: applied
    upstream
  * [f3201f4] Remove fullscreen-shell example, dropped upstream
  * [7eaf935] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sun, 13 Apr 2025 21:27:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: wlroots
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Uploaders:
+ Guido Günther <agx@sigxcpu.org>,
+ Birger Schacht <birger@rantanplan.org>,
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  glslang-tools,
  hwdata,
+ libcairo2-dev,
  libcap-dev,
- libcairo2-dev,
  libdisplay-info-dev (>= 0.1.1),
  libdrm-dev (>= 2.4.122),
+ libegl-dev,
  libegl1-mesa-dev,
- libegl-dev,
  libgbm-dev,
  libgles2-mesa-dev,
- libinput-dev,
- libliftoff-dev (>= 0.4.1),
+ libinput-dev (>= 1.19.0),
+ liblcms2-dev,
+ libliftoff-dev (>= 0.4.0),
  libpixman-1-dev (>= 0.43.0),
  libpng-dev,
  libseat-dev,
  libsystemd-dev,
  libvulkan-dev,
- libwayland-dev (>= 1.23.1),
+ libwayland-dev (>= 1.23),
  libx11-xcb-dev,
- libxcb1-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
  libxcb-errors-dev,
@@ -31,19 +34,19 @@
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-present-dev,
+ libxcb-render-util0-dev,
  libxcb-render0-dev,
- libxcb-render-util0-dev,
  libxcb-res0-dev,
  libxcb-shm0-dev,
  libxcb-xfixes0-dev,
  libxcb-xinput-dev,
+ libxcb1-dev,
  libxkbcommon-dev,
  meson,
  pkgconf,
- wayland-protocols (>= 1.41),
+ wayland-protocols (>= 1.32),
  xwayland,
-Suggests: liblcms2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.freedesktop.org/wlroots/wlroots/
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
@@ -55,8 +58,6 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- libwlroots-0.19 (= ${binary:Version}),
  libcap-dev,
  libdisplay-info-dev,
  libdrm-dev (>= 2.4.114),
@@ -64,14 +65,16 @@
  libgbm-dev,
  libgles2-mesa-dev,
  libinput-dev,
+ liblcms2-dev,
+ libliftoff-dev (>= 0.4.0),
  libpixman-1-dev,
  libseat-dev,
  libsystemd-dev,
- libliftoff-dev (>= 0.4.0),
  libudev-dev,
  libvulkan-dev,
  libwayland-dev (>= 1.22),
- libxcb1-dev,
+ libwlroots-0.19 (= ${binary:Version}),
+ libx11-xcb-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
  libxcb-errors-dev,
@@ -79,15 +82,16 @@
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-present-dev,
+ libxcb-render-util0-dev,
  libxcb-render0-dev,
- libxcb-render-util0-dev,
  libxcb-res0-dev,
  libxcb-shm0-dev,
  libxcb-xfixes0-dev,
  libxcb-xinput-dev,
+ libxcb1-dev,
  libxkbcommon-dev,
- libx11-xcb-dev,
- wayland-protocols (>= 1.24),
+ wayland-protocols (>= 1.41),
+ ${misc:Depends},
 Description: Modular wayland compositor library - development headers
  wlroots is a set of pluggable, composable modules to build a Wayland
  compositor.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dbackends=drm,libinput,x11

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libwlroots-0.18-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/-(alpha|beta|rc)/~$1/" \
 https://gitlab.freedesktop.org/wlroots/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.\-a-z]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## wlroots 0.19.2

=== debian/changelog ===
wlroots (0.19.2-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream release

  [ Diederik de Haas ]
  * tests: Update tests to use wlroots-0.19
    The autopkgtest job of Salsa CI fails as it still referenced
    wlroots-0.18 instead of wlroots-0.19. So update the B-D and the test
    script to use the 0.19 versions of wlroots instead.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Oct 2025 10:48:25 +0200

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libwlroots-0.19-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

## wlroots 0.20.0~rc1

=== debian/changelog ===
wlroots (0.20.0~rc1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release release candidate
  * [d567d8d] Update to API version to 0.20
  * [628af01] Bump dependencies

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Feb 2026 12:52:47 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libcairo2-dev,
  libcap-dev,
  libdisplay-info-dev (>= 0.1.1),
- libdrm-dev (>= 2.4.122),
+ libdrm-dev (>= 2.4.129),
  libegl-dev,
  libegl1-mesa-dev,
  libgbm-dev,
@@ -25,7 +25,7 @@
  libseat-dev,
  libsystemd-dev,
  libvulkan-dev,
- libwayland-dev (>= 1.23),
+ libwayland-dev (>= 1.24),
  libx11-xcb-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
@@ -41,10 +41,10 @@
  libxcb-xfixes0-dev,
  libxcb-xinput-dev,
  libxcb1-dev,
- libxkbcommon-dev,
+ libxkbcommon-dev (>= 1.8.0),
  meson,
  pkgconf,
- wayland-protocols (>= 1.32),
+ wayland-protocols (>= 1.47),
  xwayland,
 Standards-Version: 4.7.2
 Section: libs
@@ -53,7 +53,7 @@
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
 Rules-Requires-Root: no
 
-Package: libwlroots-0.19-dev
+Package: libwlroots-0.20-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -73,7 +73,7 @@
  libudev-dev,
  libvulkan-dev,
  libwayland-dev (>= 1.22),
- libwlroots-0.19 (= ${binary:Version}),
+ libwlroots-0.20 (= ${binary:Version}),
  libx11-xcb-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
@@ -98,7 +98,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots-0.19
+Package: libwlroots-0.20
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -110,7 +110,7 @@
  .
  This package contains the shared library.
 
-Package: libwlroots-0.19-examples
+Package: libwlroots-0.20-examples
 Architecture: any
 Depends:
  ${misc:Depends},

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libwlroots-0.20-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

## wlroots 0.20.0~rc2

=== tinywl/Makefile ===
PKG_CONFIG?=pkg-config

PKGS="wlroots-0.20" wayland-server xkbcommon
CFLAGS_PKG_CONFIG!=$(PKG_CONFIG) --cflags $(PKGS)
CFLAGS+=$(CFLAGS_PKG_CONFIG)
LIBS!=$(PKG_CONFIG) --libs $(PKGS)

all: tinywl

tinywl.o: tinywl.c
	$(CC) -c $< -g -Werror $(CFLAGS) -I. -DWLR_USE_UNSTABLE -o $@
tinywl: tinywl.o
	$(CC) $^ -g -Werror $(CFLAGS) $(LDFLAGS) $(LIBS) -o $@

clean:
	rm -f tinywl tinywl.o

.PHONY: all clean

=== debian/changelog ===
wlroots (0.20.0~rc2-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream release

  [ Diederik de Haas ]
  * d/control: Update Build Dependencies for wlroots 0.20

 -- Guido Günther <agx@sigxcpu.org>  Fri, 13 Feb 2026 10:19:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
  hwdata,
  libcairo2-dev,
  libcap-dev,
- libdisplay-info-dev (>= 0.1.1),
+ libdisplay-info-dev (>= 0.2.0),
  libdrm-dev (>= 2.4.129),
  libegl-dev,
  libegl1-mesa-dev,
- libgbm-dev,
+ libgbm-dev (>= 21.1),
  libgles2-mesa-dev,
  libinput-dev (>= 1.19.0),
  liblcms2-dev,
  libliftoff-dev (>= 0.4.0),
- libpixman-1-dev (>= 0.43.0),
+ libpixman-1-dev (>= 0.46.0),
  libpng-dev,
  libseat-dev,
  libsystemd-dev,
@@ -42,7 +42,7 @@
  libxcb-xinput-dev,
  libxcb1-dev,
  libxkbcommon-dev (>= 1.8.0),
- meson,
+ meson (>= 1.4.0),
  pkgconf,
  wayland-protocols (>= 1.47),
  xwayland,
